File validation
Admin only. Provides content for the CA file validation, answered by nodes via the controller; no longer served after expiry.
pki-validationsCertificatesAuthentication: Admin only3 endpointsList validation file contents
GET
/api/v2/pki-validationsAuthentication: Admin only
Query parameters
| Field | Type | Required | Description |
|---|---|---|---|
| page | integer | — | Page number, starting from 1 |
| page_size | integer | — | Items per page |
| sort | string | — | Sort fields, comma-separated; prefix `-` for descending, e.g. `-created_at,id` |
Create validation file content
POST
/api/v2/pki-validationsAuthentication: Admin only
Request body application/json
| Field | Type | Required | Description |
|---|---|---|---|
| content | string | Required | Validation file content. |
| name | string | Required | Name |
| ttl_s | integer | — | Seconds after which the file is no longer served; 0 or omitted = never expires. |
Delete validation file content
DELETE
/api/v2/pki-validations/{id}Authentication: Admin only
File validation object
| Field | Type | Required | Description |
|---|---|---|---|
| content | string | — | Validation file content. |
| created_at | string | — | Created at |
| expires_at | string | — | Expires at |
| id | integer | — | Record ID |
| name | string | — | Name |
| ttl_s | integer | — | Seconds after which the file is no longer served; 0 or omitted = never expires. |
| updated_at | string | — | Updated at |